Groovy Documentation

## grails.persistence
[Java] Enum Event

    java.lang.Object
      grails.persistence.Event

    public enum Event

Enum of the available events that Grails triggers

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`static String[]` | `getAllEvents()` @return The names of all persistence events

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getAllEvents

    public static String[] getAllEvents()

  Returns:
    The names of all persistence events

Groovy Documentation